import { Cookie } from '@azure/functions';
interface IResponse {
    statusCode?: string | number;
    headers: {
        [key: string]: any;
    };
    cookies: Cookie[];
    body?: any;
    get(field: string): any;
    set(field: string, val: any): IResponse;
    header(field: string, val: any): IResponse;
    status(statusCode: string | number): IResponse;
}
export default class Response implements IResponse {
    statusCode?: string | number;
    headers: {
        [key: string]: any;
    };
    cookies: Cookie[];
    body?: any;
    enableContentNegotiation?: boolean;
    [key: string]: any;
    private _done;
    constructor(done: Function);
    end(body?: any): this;
    setHeader(field: string, val: any): IResponse;
    getHeader(field: string): IResponse;
    removeHeader(field: string): this;
    status(statusCode: string | number): IResponse;
    sendStatus(statusCode: string | number): this;
    type(type: any): IResponse;
    json(body: any): void;
    send: (body?: any) => this;
    header: (field: string, val: any) => IResponse;
    set: (field: string, val: any) => IResponse;
    get: (field: string) => IResponse;
    private setContentType;
}
export {};
